---
title: CSSMatrixComponent.matrix
slug: Web/API/CSSMatrixComponent/matrix
tags:
  - API
  - CSS Typed Object Model API
  - CSSMatrixComponent
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
  - matrix
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>matrix</code></strong> property of the {{domxref("CSSMatrixComponent")}} interface gets and sets a 2d or 3d matrix.</p>

<p class="summary">See the <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> and <a href="/en-US/docs/Web/CSS/transform-function/matrix3d()">matrix3d()</a> pages for examples.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>matrix</var> = CSSMatrixComponent.matrix;</pre>

<h3 id="Value">Value</h3>

<p>a matrix.</p>

<h2 id="Examples">Examples</h2>

<p>To do.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssmatrixcomponent-cssmatrixcomponent-matrix-options-matrix','matrix')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMatrixComponent.matrix")}}</p>
